jogl
  1. jogl
  2. JOGL-142

REGRESSION Error making context current in b09

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Critical Critical
    • Resolution: Cannot Reproduce
    • Affects Version/s: current
    • Fix Version/s: milestone 1
    • Component/s: jogl
    • Labels:
      None
    • Environment:

      Operating System: Linux
      Platform: All

    • Issuezilla Id:
      142

      Description

      This program was tested and worked properly using b07, but upgrading to b09
      causes the following exception:

      net.java.games.jogl.GLException: Error making context current
      at
      net.java.games.jogl.impl.x11.X11GLContext.makeCurrent(X11GLContext.java:173)
      at
      net.java.games.jogl.impl.x11.X11OnscreenGLContext.makeCurrent(X11OnscreenGLContext.java:111)
      at net.java.games.jogl.impl.GLContext.invokeGL(GLContext.java:246)
      at
      net.java.games.jogl.GLCanvas.withSingleThreadedWorkaroundDo(GLCanvas.java:228)
      at net.java.games.jogl.GLCanvas.reshape(GLCanvas.java:125)
      at java.awt.Component.setBounds(Component.java:1664)
      at java.awt.BorderLayout.layoutContainer(BorderLayout.java:691)
      at java.awt.Container.layout(Container.java:1020)
      at java.awt.Container.doLayout(Container.java:1010)
      at java.awt.Container.validateTree(Container.java:1092)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validateTree(Container.java:1099)
      at java.awt.Container.validate(Container.java:1067)
      at java.awt.Window.dispatchEventImpl(Window.java:1604)
      at java.awt.Component.dispatchEvent(Component.java:3477)
      at java.awt.EventQueue.dispatchEvent(EventQueue.java:456)
      at
      java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:201)
      at
      java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
      at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:145)
      at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:137)
      at java.awt.EventDispatchThread.run(EventDispatchThread.java:100)

      Using Linux Fedora core 2.6.8-1.521

        Activity

        Hide
        kbr added a comment -

        Could you please attach a test case? I added you as an Observer of the jogl
        project so you should be able to modify this bug now.

        Show
        kbr added a comment - Could you please attach a test case? I added you as an Observer of the jogl project so you should be able to modify this bug now.
        Hide
        kbr added a comment -

        Is this bug reproducible? If so, please attach a test case.

        Show
        kbr added a comment - Is this bug reproducible? If so, please attach a test case.
        Hide
        gusgus84 added a comment -

        I won't have access to my Linux workstation for a few days to make a simplified
        test case. But you can download the program I was testing with at
        http://www.chem.byu.edu/Plone/people/rbshirts/research/Boltzmann3D.tar.gz
        It's packaged with 1.1b07 because b09 isn't working, so just replace the libs
        there with the new ones and it will throw that exception. I'll get you a
        simplified test case by the end of the week when I can get to a linux
        workstation

        Show
        gusgus84 added a comment - I won't have access to my Linux workstation for a few days to make a simplified test case. But you can download the program I was testing with at http://www.chem.byu.edu/Plone/people/rbshirts/research/Boltzmann3D.tar.gz It's packaged with 1.1b07 because b09 isn't working, so just replace the libs there with the new ones and it will throw that exception. I'll get you a simplified test case by the end of the week when I can get to a linux workstation
        Hide
        kbr added a comment -

        Your Boltmann.jar works fine for me on my Red Hat AS 2.1 installation with an
        NVidia GeForce FX 5800, NVidia's 66.29 drivers, and the current JOGL sources. My
        ATI Linux box doesn't work any more due to bugs in their recent drivers, so I'm
        afraid I can't help you if that's your configuration. Let me know if you can
        boil down your program into a reproducible test case.

        Show
        kbr added a comment - Your Boltmann.jar works fine for me on my Red Hat AS 2.1 installation with an NVidia GeForce FX 5800, NVidia's 66.29 drivers, and the current JOGL sources. My ATI Linux box doesn't work any more due to bugs in their recent drivers, so I'm afraid I can't help you if that's your configuration. Let me know if you can boil down your program into a reproducible test case.
        Hide
        gusgus84 added a comment -

        Still not fixed in b10. The RedHat Hardware browser says I have an Intel i740,
        and I'm using the latest Mesa Drivers.

        Show
        gusgus84 added a comment - Still not fixed in b10. The RedHat Hardware browser says I have an Intel i740, and I'm using the latest Mesa Drivers.
        Hide
        kbr added a comment -

        Is this program still failing with JOGL 1.1 b10? If not I would like to close
        this bug as "not reproducible".

        Show
        kbr added a comment - Is this program still failing with JOGL 1.1 b10? If not I would like to close this bug as "not reproducible".
        Hide
        kbr added a comment -

        The JOGL implementation has been substantially rewritten in the development of
        JSR-231 and is more correct in its synchronization of GLX commands than previous
        implementations. Please try the latest nightly build if possible. Closing this
        bug as not reproducible.

        Show
        kbr added a comment - The JOGL implementation has been substantially rewritten in the development of JSR-231 and is more correct in its synchronization of GLX commands than previous implementations. Please try the latest nightly build if possible. Closing this bug as not reproducible.

          People

          • Assignee:
            jogl-issues
            Reporter:
            gusgus84
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: